ZARAFA-SEARCH(8)

NAME
zarafa-search - Zarafa Indexed Search Service.

SYNOPSIS

zarafa-search

DESCRIPTION

The zarafa-search daemon is used to index all messages for all users in the zarafa-server. Indexing messages greatly enhances the search performance of the zarafa-server.

After starting, the search daemon will continuously update the store index files and will keep listening for connections on the configured TCP port and/or Unix socket for search requests from the zarafa-server(8).

OPTIONS

The Zarafa search program takes the following configuration options:

--config, -c file
    Specify the location of the configuration file. Default: /etc/zarafa/search.cfg

--foreground, -F
    Run in the foreground. Normally the zarafa-search process will daemonize and run in the background.

--server-socket, -s path
    Connect to the Zarafa server through path, e.g. file:///path/to/socket. Default: file:///var/run/zarafad/server.sock.

--reindex username
    Remove the current index of the given user and start to make a new index immediately. The zarafa-search daemon must already be running on the same machine.

When invoked with no options, the zarafa-search daemon will search for a configuration file in /etc/zarafa/search.cfg. If no configuration file is found, default values are used. See zarafa-search.cfg(5) for all configuration options and their default values.

USAGE

Starting the zarafa-search daemon with an alternative configuration:

 zarafa-search -c /path/to/search.cfg

You may also use the rc.d scripts:

/etc/rc.d/zarafa-search [start|stop|restart|reload]

AUTHOR

Written by Zarafa.

SEE ALSO

 zarafa-server(8), zarafa-search.cfg(5)